#!/bin/sh
echo "build-iphone-haskell.sh running with ACTION=$ACTION and PLATFORM_NAME=$PLATFORM_NAME"

IPHONE_BIN="$(dirname $0)"
DIST="$TARGET_BUILD_DIR/dist"
export PATH="$IPHONE_BIN:$PATH"

case "$PLATFORM_NAME" in
  iphonesimulator)
    CABAL=iphone-simulator-cabal
    ;;
  iphoneos)
    CABAL=iphone-cabal
    ;;
  *)
    echo "build-iphone-haskell.sh: No cabal version for platform '$PLATFORM_NAME'"
    exit 1
    ;;
esac

case "$ACTION" in
  "")
    mkdir -p "$DIST" || exit 1
    $CABAL --distpref="$DIST" configure || exit 1
    $CABAL --distpref="$DIST" build || exit 1
    ;;
  clean)
    $CABAL --distpref="$DIST" clean || exit 1
    ;;
  *)
    echo "build-iphone-haskell.sh: Unknown action '$1'"
    exit 1
    ;;
esac
